Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.collections
Class SortedHashTree

    java.lang.Object
      org.apache.jorphan.collections.HashTree
          org.apache.jorphan.collections.SortedHashTree

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class SortedHashTree
extends HashTree
implements Serializable

SortedHashTree is a different implementation of the `HashTree` collection class. In the SortedHashTree, the ordering of values in the tree is made explicit via the compare() function of objects added to the tree. This works in exactly the same fashion as it does for a SortedSet.

See Also:
  `HashTree`, `HashTreeTraverser`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary

Fields inherited from class org.apache.jorphan.collections.HashTree
`data`

Constructor Summary
`SortedHashTree()`
`SortedHashTree(Collection keys)`
`SortedHashTree(Collection keys, Comparator comper)`
`SortedHashTree(Comparator comper)`
`SortedHashTree(Object key)`
`SortedHashTree(Object[] keys)`
`SortedHashTree(Object[] keys, Comparator comper)`
`SortedHashTree(Object key, Comparator comper)`

Method Summary
`protected HashTree` | `createNewTree()` Creates a new tree.
`protected HashTree` | `createNewTree(Collection values)` Creates a new tree.
`protected HashTree` | `createNewTree(Object key)` Creates a new tree.

Methods inherited from class org.apache.jorphan.collections.HashTree
`add, add, add, add, add, add, add, add, add, add, add, add, add, add, addTreePath, clear, clone, cloneTree, containsKey, containsValue, entrySet, equals, get, getArray, getArray, getArray, getArray, getTree, getTree, getTree, getTreePath, hashCode, isEmpty, keySet, list, list, list, list, put, putAll, remove, replace, search, set, set, set, set, set, set, set, set, set, size, toString, traverse, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortedHashTree

    public SortedHashTree()

### SortedHashTree

    public SortedHashTree(Comparator comper)

### SortedHashTree

    public SortedHashTree(Object key)

### SortedHashTree

    public SortedHashTree(Object key,
                          Comparator comper)

### SortedHashTree

    public SortedHashTree(Collection keys)

### SortedHashTree

    public SortedHashTree(Collection keys,
                          Comparator comper)

### SortedHashTree

    public SortedHashTree(Object[] keys)

### SortedHashTree

    public SortedHashTree(Object[] keys,
                          Comparator comper)

Method Detail

### createNewTree

    protected HashTree createNewTree()

  Description copied from class: `HashTree`
  Creates a new tree. This method exists to allow inheriting classes to generate the appropriate types of nodes. For instance, when a node is added, it's value is a HashTree. Rather than directly calling the HashTree() constructor, the createNewTree() method is called. Inheriting classes should override these methods and create the appropriate subclass of HashTree.

  Overrides:
    `createNewTree` in class `HashTree`
  Returns:
    HashTree

### createNewTree

    protected HashTree createNewTree(Object key)

  Description copied from class: `HashTree`
  Creates a new tree. This method exists to allow inheriting classes to generate the appropriate types of nodes. For instance, when a node is added, it's value is a HashTree. Rather than directly calling the HashTree() constructor, the createNewTree() method is called. Inheriting classes should override these methods and create the appropriate subclass of HashTree.

  Overrides:
    `createNewTree` in class `HashTree`
  Returns:
    HashTree

### createNewTree

    protected HashTree createNewTree(Collection values)

  Description copied from class: `HashTree`
  Creates a new tree. This method exists to allow inheriting classes to generate the appropriate types of nodes. For instance, when a node is added, it's value is a HashTree. Rather than directly calling the HashTree() constructor, the createNewTree() method is called. Inheriting classes should override these methods and create the appropriate subclass of HashTree.

  Overrides:
    `createNewTree` in class `HashTree`
  Returns:
    HashTree

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.